
#ifndef CREATE_REAL_MODEL_H_INCLUDE
#define CREATE_REAL_MODEL_H_INCLUDE


#include <string>
#include <ostream>
#include <vector>
#include <boost/intrusive_ptr.hpp>
#include <boost/shared_ptr.hpp>


// OpenHRP3
#include <hrpModelHeaders.h>
#include "JointName.h"
#include "standardModelHeaders.h"


namespace tohoku {

  bool createRealModelFromJointNameMap(OpenHRP::BodyPtr &body, tohoku::JointName* jointname);
  bool createStandardModelFromJointNameMap(tohoku::StandardModel* stdModel, tohoku::JointName* jointname);

  std::vector<OpenHRP::Link*> createJointsInPart(OpenHRP::BodyPtr &body, tohoku::JointName* jointname, int index, int jointId=0);
  std::vector<OpenHRP::Link*> createMoveJointsInPart(OpenHRP::BodyPtr &body, tohoku::JointName* jointname, int jointId=0);
};


#endif
